Summary:	XML-SAX-Base module for perl
Name:		perl-XML-SAX-Base
Version:	1.02
Release:	1
License:	GPL or Artistic
Group:		System Environment/Libraries
URL:		http://www.cpan.org/
Source0:	XML-SAX-Base-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Requires:	perl >= 5.8.0
BuildArch:	noarch

%description
XML-SAX-Base module for perl.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl


%prep
%setup -q -n XML-SAX-Base-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make


%clean 
rm -rf $RPM_BUILD_ROOT


%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc Changes README


%changelog
* Mon Dec 29 2003 Petr Kritof <Petr@Kristof.CZ>
- Build on FC-1
- Initial release. 

